shithub: sox

Download patch

ref: 4f7a07176d6dcb32e7b26e4330ceb04132dd38ec
parent: 26bbcf69933d00e5c6343f5ac268854701f0021f
author: cbagwell <cbagwell>
date: Sun Dec 9 15:29:49 EST 2001

More compile updates.

--- a/Changelog
+++ b/Changelog
@@ -59,6 +59,7 @@
   o Reading Ogg Vorbis files could get confused of when EOF was reached.
   o Added uninstall rules to Makefile.  Added new ststdint.h to define
     *int*_t typedefs.
+  o Added internal strcasecmp for OS/2.
 
 sox-12.17.2
 -----------
--- a/INSTALL
+++ b/INSTALL
@@ -25,7 +25,7 @@
 for a complete list of options.
 
 If your system works with the "configure" script then you may skip
-to the Testing section.
+to the Optional Compiling section.
 
 If your system does not work with the configure scripts then there are
 several canned "Makefile"'s that you can use.  The following systems
@@ -35,42 +35,35 @@
     WIN95/NT   Makefile.dos (Needs modifying for Visual C++)
     OS/2       Makefile.gcc (using EMX GCC compiler)
 
-You can run the makefile on most systems by using the following
-command line:
+To using a canned Makefile, a few steps need to be completed.  First up,
+you need to make a copy of stconfig.h.in and call it stconfig.h.  Modify
+this file to reflect your environment.  
 
-make -f Makefile.name      or
-make -fMakefile.name
+After that, copy either Makefile.dos or Makefile.gcc to a file
+called Makefile.  This needs to be done in both the main sox directory 
+and the ./gsm directory.  This file also needs to be modified to reflect
+your environment.
 
-Before compiling with a canned Makefile you will need to edit the 
-Makefile and uncomment the compiler define section related to your 
-operating system and possibly comment out any previous system defines.
+Optional Compile Features
+-------------------------
 
-There are a few additional defines available for your operating 
-system to add things such as sound playing support.  This is 
-generally documented in the Makefiles
+A GSM library is included with SoX.  More information on this library
+can be obtained from http://www.cs.tu-berlin.de/~jutta/toast.html.
+If this library fails to compile on your system, you can specify
+--disable-gsm to prevent it from being compiled in.
 
-Optional Libraries
-------------------
+SoX can make use of Ogg Vorbis librarys to play and record Ogg
+Vorbis files.  If this library is installed in a non-standard location
+in your system then you can use --with-ogg-vorbislib=path and
+--with-ogg-vorbisinc=path to allow configure to find this library.
 
-There is optional GSM support as a data type but you must first
-install the GSM library on your system.  More information on it
-can be obtained from http://www.cs.tu-berlin.de/~jutta/toast.html
-After installing the GSM library you must point to this file by
-commenting and modifying the appropriate section of the Makefile.
-The "configure" script should be able to detect the installation of
-the external GSM library and compile in support on its own.
+If you're not processing lots of u-law or a-law files and would
+like to save around 64K of memory when SoX is executed then you
+can use runtime routines to perform u-law/a-law conversions.
+This is slower then the default lookup tables but results in the
+same answers.  To save this memory, specify --disable-fast-ulaw and
+--disable-fast-alaw.
 
-Optional Compile Options
-------------------------
-
-If you're processing lots of u-law or a-law files, you should
-define FAST_ULAW_CONVERSION and/or FAST_ALAW_CONVERSION in your 
-Makefile.  These substitute a table-based method for the standard method.
-The tables are 32K, so if you don't want them, you don't have to
-use them.  It is automatically added to your Makefile if you run
-the configure script with the --enable-fast-ulaw or --enable-fast-alaw
-options.
-
 Testing
 -------
 
@@ -92,6 +85,6 @@
 various test scenarios.  It should print nothing out.  You can also
 run tests.bat under DOS for similar tests. 
 
-After that, "testall.sh" ("testall.bat for DOS) tests most of the 
-implemented file handlers to make sure that some portability issue 
-haven't popped up
+After that, "tests.sh" and "testall.sh" ("tests.bat" and "testall.bat" 
+for DOS) tests most of the  implemented file handlers to make sure 
+that some portability issue haven't popped up
--- a/Makefile.dos
+++ b/Makefile.dos
@@ -6,16 +6,18 @@
 #
 #   Also some support for MS VC based on info from Mark Morgan Lloyd
 #   <markMLl.in@telemetry.co.uk> 1/24/99
-
+#
+#   NOTE: This Makefile does not support compiling GSM currently.
+#
 # Need object files to know what libst.lib depends on.  All .c files
 # are compiled from default rules of make.
 
 FOBJ	= 8svx.obj adpcm.obj aiff.obj alsa.obj au.obj auto.obj \
-          avr.obj cdr.obj cvsd.obj dat.obj g721.obj g723_16.obj \
+          avr.obj cdr.obj cvsd.obj dat.obj g711.obj g721.obj g723_16.obj \
 	  g723_24.obj g723_40.obj g72x.obj gsm.obj \
 	  hcom.obj ima_rw.obj maud.obj nulfile.obj oss.obj raw.obj \
 	  sf.obj smp.obj sndrtool.obj sphere.obj sunaudio.obj \
-	  tx16w.obj voc.obj wav.obj wve.obj
+	  tx16w.obj voc.obj vorbis.obj wav.obj wve.obj
 
 EOBJ	= avg.obj band.obj bandpass.obj breject.obj btrworth.obj chorus.obj \
 	  compand.obj copy.obj dcshift.obj deemphas.obj earwax.o \
@@ -49,7 +51,7 @@
 CC      = $(BINDIR)\tcc
 #CC      = $(BINDIR)\bcc
 LDD	= $(BINDIR)\tlib
-CFLAGS  = -DDOS -DHAVE_MEMMOVE -D__STDC__=1 -a -c -mh -G -O -v -N
+CFLAGS  = -DDOS -D__STDC__=1 -a -c -mh -G -O -v -N
 LFLAGS  = -v -mh
 
 .c.obj:
@@ -59,7 +61,7 @@
 # MS VC needs the following. /AL uses large memory model.
 #CC	= cl
 #LDD	= lib
-#CFLAGS	= -DDOS -DHAVE_MEMMOVE -D__STDC__=1 -c -O /AL /Gt8192
+#CFLAGS	= -DDOS -D__STDC__=1 -c -O /AL /Gt8192
 #LFLAGS	= /AL /Gt8192
 
 # When using MS VC, comment out above rule for .c.obj and use this as well
@@ -70,21 +72,21 @@
 all: sox.exe soxmix.exe
 
 sox.exe: sox.obj libst.lib
-        $(CC) $(LFLAGS) -L$(LIBDIR) sox.obj libst.lib
+	$(CC) $(LFLAGS) -L$(LIBDIR) sox.obj libst.lib
 
 soxmix.exe: soxmix.obj libst.lib
-        $(CC) $(LFLAGS) -L$(LIBDIR) soxmix.obj libst.lib
+	$(CC) $(LFLAGS) -L$(LIBDIR) soxmix.obj libst.lib
 
 libst.lib: $(LIBOBJS)
 
 sox.obj: sox.c st.h
-        $(CC) $(CFLAGS) -I$(INCDIR) -L$(LIBDIR) $*.c
+	$(CC) $(CFLAGS) -I$(INCDIR) -L$(LIBDIR) $*.c
 
 soxmix.obj: sox.c st.h
-        $(CC) $(CFLAGS) -DSOXMIX -I$(INCDIR) -L$(LIBDIR) sox.c
+	$(CC) $(CFLAGS) -DSOXMIX -I$(INCDIR) -L$(LIBDIR) sox.c
 
 clean:
-        del *.obj
-        del sox.exe
+	del *.obj
+	del sox.exe
 	del soxmix.exe
-        del libst.lib
+	del libst.lib
--- a/Makefile.gcc
+++ b/Makefile.gcc
@@ -1,37 +1,28 @@
 #
 # Sound Tools Makefile
 #
-# 	builds libst.a and sox
+# 	builds libst.a, sox, soxmix, and play
 #
-# Updated on 02/24/97 - by Chris Bagwell (cbagwell@sprynet.com)
-#   Inhanced Makefile to install software and documented a little better.
-#
-# Updated on 05 May 1998 by Chris Bagwell (cbagwell@sprynet.com)
-#   Made some changes for various platforms based on others sugestions
-#   and made my home system (Linux) the default. ;-)
-#
-# July 19, 1998 - Chris Bagwell (cbagwell@sprynet.com)
-#   Redid makefile so that libraries could be optionally linked in.
-#   Also made each specific portion of system specifics a seperate
-#   line to comment/uncomment so that it will be easier to see how
-#   to compiler on a wider array of systems (he says with a grin).
+# To use this Makefile, first copy stconfig.h.in to stconfig.h and modify
+# that file to reflect your environment.  This will should also be modified
+# to reflect your build environment.
 #   
 
 # These things are site dependant so you may want to change.
 PREFIX	= /usr/local
-BINDIR  = $(PREFIX)/bin
-LIBDIR	= $(PREFIX)/lib
-MANDIR  = $(PREFIX)/man
-INCDIR	= $(PREFIX)/include
+bindir  = $(PREFIX)/bin
+libdir	= $(PREFIX)/lib
+mandir  = $(PREFIX)/man
+incdir	= $(PREFIX)/include
 
-SRCDIR	= sox-12.17
+SRCDIR	= sox-12.17.3
 
 ##############################################################################
 
 FOBJ	= 8svx.o adpcm.o aiff.o alsa.o au.o auto.o avr.o cdr.o cvsd.o dat.o \
-	  g721.o g723_16.o g723_24.o g723_40.o g72x.o gsm.o hcom.o \
+	  g711.o g721.o g723_16.o g723_24.o g723_40.o g72x.o gsm.o hcom.o \
 	  ima_rw.o maud.o nulfile.o oss.o raw.o sf.o smp.o sndrtool.o \
-	  sphere.o sunaudio.o tx16w.o voc.o wav.o wve.o
+	  sphere.o sunaudio.o tx16w.o voc.o vorbis.o wav.o wve.o
 
 EOBJ    = avg.o band.o bandpass.o breject.o btrworth.o chorus.o compand.o \
           copy.o dcshift.o deemphas.o earwax.o echo.o echos.o fade.o \
@@ -53,6 +44,9 @@
 # Default way to delete files.
 RM	    = rm -f
 
+# Default way to provide symbolic links from one file to another
+LN_S	    = ln -s
+
 # Chose the best compiler you got from the following:
 #
 # GCC with all warnings and debug info
@@ -74,52 +68,6 @@
 # first.
 O		= -O2
 
-# getopt() support is defined here.  If you have a built-in
-# getopt() that is compatible with SVR5 then you don't need to
-# do anything special.
-#
-# If you don't have any getopt() function then use the following
-# define to use Sox's builtin version
-# GETOPT_DEFINES	= -DHAVE_GETOPT
-#
-# If your system has the more advanced version of getopt() that
-# also has its own getopt.h file (Such as the case with GNU libc 2.0)
-# then uncomment the following line.  Don't uncomment anything if
-# its in stdlib.h.
-GETOPT_DEFINES	= -DHAVE_GETOPT_H
-
-# If your system has bswap_16(), bswap_32() in byteswap.h
-# (Such as the case with GNU libc 2.1)
-# then uncomment the following line to use these fast versions.
-BYTESWAP_DEFINES	= -DHAVE_BYTESWAP_H
-
-# If your system has rand() then uncomment the following line.
-RAND_DEFINES	= -DHAVE_RAND
-
-# Uncomment the following if your system does not have a built in
-# strerror().  This includes SunOS.
-#
-# STRERR_DEFINES	= -DHAVE_STRERROR
-
-# Uncomment the following if your system does not have a built in
-# MEMMOVE function.  Sox will attempt to use bcopy instead.
-# SunOS has this problem.
-#
-# MEMMOVE_DEFINES	= -DHAVE_MEMMOVE
-
-# For sound support on machines that include the OSS sound driver
-# (such as Linux) then uncomment the following line.
-#
-# PLAYER_DEFINES = -DOSS_PLAYER
-
-# For sound support using the ALSA driver then uncomment the following line.
-#
-# PLAYER_DEFINES = -DALSA_PLAYER
-
-# For sound support under SunOS and Solaris then uncomment the following line.
-#
-# PLAYER_DEFINES = -DSUNAUDIO_PLAYER
-
 # Uncomment the following lines if your compiling under DOS or Windows.
 # defines .snd to mean a DOS soundtool file (starts with SOUND)
 #
@@ -126,32 +74,6 @@
 # DOS_DEFINES	= -DDOS
 # RM		= del /q
 
-# MISC DEFINES - The catch all for things that make even less sense
-#  then normal under unix.  If you need more than one of the following
-#  MISC DEFINES remember to include them on one line so it isn't just
-#  redefined.
-#
-# If your sysetem has unistd.h then you'll most like need to add 
-# HAVE_UNISTD_H to your misd defines.
-# MISC_DEFINES_UNI = -DHAVE_UNISTD_H
-#
-# If your system has malloc.h then you'll most likely need to add
-# HAVE_MALLOC_H to your misd defines.
-# MSIC_DEFINES_MALLOC = -DHAVE_UNISTD_H
-#
-# Testing new improved rate code.  You can use the older version if ther
-# are problems.
-# MISC_DEFINES_OLDRATE	= -DUSE_OLD_RATE
-#
-# For an extra 32k memory, you can include u-law/a-law lookup
-# tables to speed compressiong/decompression of this type data.
-# MISC_DEFINES_COMP = -DFAST_ULAW_COMPRESSION -DFAST_ALAW_COMPRESSION 
-
-MISC_DEFINES = $(MISC_DEFINES_UNI) \
-	$(MISC_DEFINES_MALLOC) \
-	$(MISC_DEFINES_OLDRATE)\
-	$(MISC_DEFINES_COMP)
-
 ##############################################################################
 
 # Library setup
@@ -173,57 +95,70 @@
 MATHLIB = -lm
 # MATHLIB = 
 
+# If your linking Ogg Vorbis support, uncomment the following
+VORBISLIB = -logg -lvorbis -lvorbisfile -lvorbisenc
+
 ##############################################################################
 
-SOX_PRE_LIBS    =
-SOX_POST_LIBS	= $(MATHLIB)
+SOX_PRE_LIBS    = -L./gsm
+SOX_POST_LIBS	= -lgsm $(VORBISLIB) $(MATHLIB)
 SOX_INCLUDES    =
-SOX_DEFINES	= $(PLAYER_DEFINES) \
-  $(GETOPT_DEFINES) $(BYTESWAP_DEFINES) $(RAND_DEFINES) $(STRERR_DEFINES) \
-	$(MEMMOVE_DEFINES) $(DOS_DEFINES) $(NEXT_DEFINES) $(MISC_DEFINES)
+SOX_DEFINES	= -DGSM_SUPPORT $(DOS_DEFINES)
 
 CFLAGS  = $O $(SOX_DEFINES) $(SOX_INCLUDES)
 
 all: sox soxmix
 
-sox: sox.o $(SOUNDLIB)
+sox: sox.o $(SOUNDLIB) gsm/libgsm.a
 	$(CC) $(CFLAGS) -o sox sox.o $(SOUNDLIB) $(SOX_PRE_LIBS) $(SOX_POST_LIBS)
 
 soxmix.o: sox.c
 	$(CC) $(CLAGS) -DSOXMIX -c -o soxmix.o sox.c
 
-soxmix: soxmix.o $(SOUNDLIB)
+soxmix: soxmix.o $(SOUNDLIB) gsm/libgsm.a
 	$(CC) $(CFLAGS) -o soxmix soxmix.o $(SOUNDLIB) $(SOX_PRE_LIBS) $(SOX_POST_LIBS)
 
+play: play.in
+	$(SED) -e 's|@PREFIX@|$(bindir)|g' < $(srcdir)/play.in > play
+
 $(SOUNDLIB): $(LIBOBJS)
 	$(RM) $(SOUNDLIB)
 	$(AR) $(SOUNDLIB) $(LIBOBJS)
 	$(RANLIB) $(SOUNDLIB)
 
+gsm/libgsm.a:
+	cd gsm && $(MAKE)
+
 sox.o:		sox.c st.h
 
-$(LIBOBJS):	st.h
+$(LIBOBJS):	st.h st_i.h
 
-man: sox.1 libst.3
-	$(RM) sox.txt libst.txt
+man: sox.1 soxexam.1 libst.3
 	nroff -man sox.1 | col -b > sox.txt
 	nroff -man soxexam.1 | col -b > soxexam.txt
 	nroff -man libst.3 | col -b > libst.txt
 
-install: sox
-	if [ -f $(BINDIR)/rec ] ; then $(RM) $(BINDIR)/rec ; fi
-	if [ -f $(MANDIR)/man1/rec.1 ] ; then $(RM) $(MANDIR)/man1/rec.1 ; fi
-	sed -e 's|@PREFIX@|$(BINDIR)|g' < play.in > play
-	install -c -m 755 sox play $(BINDIR)
-	install -c -m 644 sox.1 soxexam.1 play.1 $(MANDIR)/man1
-	ln -s $(BINDIR)/play $(BINDIR)/rec
-	ln -s $(MANDIR)/man1/play.1 $(MANDIR)/man1/rec.1
+install: sox soxmix
+	$(INSTALL) -c -m 755 sox $(bindir)
+	$(INSTALL) -c -m 755 sox play $(bindir)
+	$(INSTALL) -c -m 644 sox.1 $(mandir)/man1
+	if [ -f $(mandir)/man1/soxmmix.1 ] ; then $(RM) $(mandir)/man1/soxmix.1; fi
+	$(LN_S) $(mandir)/man1/sox.1 $(mandir)/man1/soxmix.1
+	$(INSTALL) -c -m 644 soxexam.1 $(mandir)/man1
 
+install-play: play
+	if [ -f $(bindir)/rec ] ; then $(RM) $(bindir)/rec ; fi
+	if [ -f $(mandir)/man1/rec.1 ] ; then $(RM) $(mandir)/man1/rec.1 ; fi
+	install -c -m 755 play $(bindir)
+	install -c -m 644 play.1 $(mandir)/man1
+	$(LN_S) $(bindir)/play $(bindir)/rec
+	$(LN_S) $(mandir)/man1/play.1 $(mandir)/man1/rec.1
+
 install-lib: libst.a
-	install -c -m 644 libst.a $(LIBDIR)
-	install -c -m 644 libst.3 $(MANDIR)/man3
-	install -c -m 644 st.h $(INCDIR)
-	install -c -m 644 ststdint.h $(INCDIR)
+	install -c -m 644 libst.a $(libdir)
+	install -c -m 644 libst.3 $(mandir)/man3
+	install -c -m 644 st.h $(incdir)
+	install -c -m 644 ststdint.h $(incdir)
 
 clean:
 	$(RM) *~ *.o *.raw *.sf core sox soxmix libst.a
--- a/TODO
+++ b/TODO
@@ -1,7 +1,7 @@
 People are encouraged to pick some of these and implement it.  Send
 all patches to cbagwell@users.sourceforge.net.
 
-  o Get nul effect and oss driver compiling under latest cygwin.
+  o Still passing some options using CFLAGS instead of stconfig.h.
 
   o Several files are using hard-coded #'s instead of ST_SAMPLE_MIN/MAX.
     Change these.
--- a/acconfig.h
+++ /dev/null
@@ -1,2 +1,0 @@
-/* Define if you have Ogg Vorbis Library installed */
-#undef HAVE_LIBVORBIS
--- a/configure
+++ b/configure
@@ -3443,7 +3443,8 @@
 echo "${ECHO_T}$ac_cv_lib_vorbis_vorbis_analysis_init" >&6
 if test $ac_cv_lib_vorbis_vorbis_analysis_init = yes; then
   LIBS="$LIBS -logg -lvorbis -lvorbisfile -lvorbisenc"
-               cat >>confdefs.h <<\_ACEOF
+
+cat >>confdefs.h <<\_ACEOF
 #define HAVE_LIBVORBIS 1
 _ACEOF
 
@@ -3452,16 +3453,16 @@
 fi
 CPPFLAGS="$ac_save_CPPFLAGS"
 
-for ac_func in getopt strerror memmove rand
+for ac_func in getopt strerror memmove rand strcasecmp
 do
 as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh`
-echo "$as_me:3458: checking for $ac_func" >&5
+echo "$as_me:3459: checking for $ac_func" >&5
 echo $ECHO_N "checking for $ac_func... $ECHO_C" >&6
 if eval "test \"\${$as_ac_var+set}\" = set"; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 3464 "configure"
+#line 3465 "configure"
 #include "confdefs.h"
 /* System header to define __stub macros and hopefully few prototypes,
     which can conflict with char $ac_func (); below.  */
@@ -3498,16 +3499,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:3501: \"$ac_link\"") >&5
+if { (eval echo "$as_me:3502: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:3504: \$? = $ac_status" >&5
+  echo "$as_me:3505: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:3507: \"$ac_try\"") >&5
+  { (eval echo "$as_me:3508: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:3510: \$? = $ac_status" >&5
+  echo "$as_me:3511: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   eval "$as_ac_var=yes"
 else
@@ -3517,7 +3518,7 @@
 fi
 rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
 fi
-echo "$as_me:3520: result: `eval echo '${'$as_ac_var'}'`" >&5
+echo "$as_me:3521: result: `eval echo '${'$as_ac_var'}'`" >&5
 echo "${ECHO_T}`eval echo '${'$as_ac_var'}'`" >&6
 if test `eval echo '${'$as_ac_var'}'` = yes; then
   cat >>confdefs.h <<_ACEOF
@@ -3534,34 +3535,34 @@
 do
 as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
 if eval "test \"\${$as_ac_Header+set}\" = set"; then
-  echo "$as_me:3537: checking for $ac_header" >&5
+  echo "$as_me:3538: checking for $ac_header" >&5
 echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
 if eval "test \"\${$as_ac_Header+set}\" = set"; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 fi
-echo "$as_me:3542: result: `eval echo '${'$as_ac_Header'}'`" >&5
+echo "$as_me:3543: result: `eval echo '${'$as_ac_Header'}'`" >&5
 echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
 else
   # Is the header compilable?
-echo "$as_me:3546: checking $ac_header usability" >&5
+echo "$as_me:3547: checking $ac_header usability" >&5
 echo $ECHO_N "checking $ac_header usability... $ECHO_C" >&6
 cat >conftest.$ac_ext <<_ACEOF
-#line 3549 "configure"
+#line 3550 "configure"
 #include "confdefs.h"
 $ac_includes_default
 #include <$ac_header>
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:3555: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:3556: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:3558: \$? = $ac_status" >&5
+  echo "$as_me:3559: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:3561: \"$ac_try\"") >&5
+  { (eval echo "$as_me:3562: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:3564: \$? = $ac_status" >&5
+  echo "$as_me:3565: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   ac_header_compiler=yes
 else
@@ -3570,24 +3571,24 @@
 ac_header_compiler=no
 fi
 rm -f conftest.$ac_objext conftest.$ac_ext
-echo "$as_me:3573: result: $ac_header_compiler" >&5
+echo "$as_me:3574: result: $ac_header_compiler" >&5
 echo "${ECHO_T}$ac_header_compiler" >&6
 
 # Is the header present?
-echo "$as_me:3577: checking $ac_header presence" >&5
+echo "$as_me:3578: checking $ac_header presence" >&5
 echo $ECHO_N "checking $ac_header presence... $ECHO_C" >&6
 cat >conftest.$ac_ext <<_ACEOF
-#line 3580 "configure"
+#line 3581 "configure"
 #include "confdefs.h"
 #include <$ac_header>
 _ACEOF
-if { (eval echo "$as_me:3584: \"$ac_cpp conftest.$ac_ext\"") >&5
+if { (eval echo "$as_me:3585: \"$ac_cpp conftest.$ac_ext\"") >&5
   (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
   ac_status=$?
   egrep -v '^ *\+' conftest.er1 >conftest.err
   rm -f conftest.er1
   cat conftest.err >&5
-  echo "$as_me:3590: \$? = $ac_status" >&5
+  echo "$as_me:3591: \$? = $ac_status" >&5
   (exit $ac_status); } >/dev/null; then
   if test -s conftest.err; then
     ac_cpp_err=$ac_c_preproc_warn_flag
@@ -3605,25 +3606,25 @@
   ac_header_preproc=no
 fi
 rm -f conftest.err conftest.$ac_ext
-echo "$as_me:3608: result: $ac_header_preproc" >&5
+echo "$as_me:3609: result: $ac_header_preproc" >&5
 echo "${ECHO_T}$ac_header_preproc" >&6
 
 # So?  What about this header?
 case $ac_header_compiler:$ac_header_preproc in
   yes:no )
-    { echo "$as_me:3614: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&5
+    { echo "$as_me:3615: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&5
 echo "$as_me: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&2;}
-    { echo "$as_me:3616: WARNING: $ac_header: proceeding with the preprocessor's result" >&5
+    { echo "$as_me:3617: WARNING: $ac_header: proceeding with the preprocessor's result" >&5
 echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;};;
   no:yes )
-    { echo "$as_me:3619: WARNING: $ac_header: present but cannot be compiled." >&5
+    { echo "$as_me:3620: WARNING: $ac_header: present but cannot be compiled." >&5
 echo "$as_me: WARNING: $ac_header: present but cannot be compiled." >&2;}
-    { echo "$as_me:3621: WARNING: $ac_header: check for missing prerequisite headers?" >&5
+    { echo "$as_me:3622: WARNING: $ac_header: check for missing prerequisite headers?" >&5
 echo "$as_me: WARNING: $ac_header: check for missing prerequisite headers?" >&2;}
-    { echo "$as_me:3623: WARNING: $ac_header: proceeding with the preprocessor's result" >&5
+    { echo "$as_me:3624: WARNING: $ac_header: proceeding with the preprocessor's result" >&5
 echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;};;
 esac
-echo "$as_me:3626: checking for $ac_header" >&5
+echo "$as_me:3627: checking for $ac_header" >&5
 echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
 if eval "test \"\${$as_ac_Header+set}\" = set"; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -3630,7 +3631,7 @@
 else
   eval "$as_ac_Header=$ac_header_preproc"
 fi
-echo "$as_me:3633: result: `eval echo '${'$as_ac_Header'}'`" >&5
+echo "$as_me:3634: result: `eval echo '${'$as_ac_Header'}'`" >&5
 echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
 
 fi
@@ -3647,10 +3648,10 @@
 
 if test "$alsa_dsp" = yes
 then
-	echo "$as_me:3650: checking for ALSA ioctl API" >&5
+	echo "$as_me:3651: checking for ALSA ioctl API" >&5
 echo $ECHO_N "checking for ALSA ioctl API... $ECHO_C" >&6
 	cat >conftest.$ac_ext <<_ACEOF
-#line 3653 "configure"
+#line 3654 "configure"
 #include "confdefs.h"
 
 #include <linux/asound.h>
@@ -3672,16 +3673,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:3675: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:3676: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:3678: \$? = $ac_status" >&5
+  echo "$as_me:3679: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:3681: \"$ac_try\"") >&5
+  { (eval echo "$as_me:3682: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:3684: \$? = $ac_status" >&5
+  echo "$as_me:3685: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   alsa_api_ver=oldapi
 else
@@ -3690,7 +3691,7 @@
 alsa_api_ver=newapi
 fi
 rm -f conftest.$ac_objext conftest.$ac_ext
-	echo "$as_me:3693: result: $alsa_api_ver" >&5
+	echo "$as_me:3694: result: $alsa_api_ver" >&5
 echo "${ECHO_T}$alsa_api_ver" >&6
 	CFLAGS="$CFLAGS -DALSA_PLAYER"
 	if test "$alsa_api_ver" = oldapi; then CFLAGS="$CFLAGS -DUSE_OLD_API"; fi
@@ -3705,34 +3706,34 @@
 do
 as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
 if eval "test \"\${$as_ac_Header+set}\" = set"; then
-  echo "$as_me:3708: checking for $ac_header" >&5
+  echo "$as_me:3709: checking for $ac_header" >&5
 echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
 if eval "test \"\${$as_ac_Header+set}\" = set"; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 fi
-echo "$as_me:3713: result: `eval echo '${'$as_ac_Header'}'`" >&5
+echo "$as_me:3714: result: `eval echo '${'$as_ac_Header'}'`" >&5
 echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
 else
   # Is the header compilable?
-echo "$as_me:3717: checking $ac_header usability" >&5
+echo "$as_me:3718: checking $ac_header usability" >&5
 echo $ECHO_N "checking $ac_header usability... $ECHO_C" >&6
 cat >conftest.$ac_ext <<_ACEOF
-#line 3720 "configure"
+#line 3721 "configure"
 #include "confdefs.h"
 $ac_includes_default
 #include <$ac_header>
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:3726: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:3727: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:3729: \$? = $ac_status" >&5
+  echo "$as_me:3730: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:3732: \"$ac_try\"") >&5
+  { (eval echo "$as_me:3733: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:3735: \$? = $ac_status" >&5
+  echo "$as_me:3736: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   ac_header_compiler=yes
 else
@@ -3741,24 +3742,24 @@
 ac_header_compiler=no
 fi
 rm -f conftest.$ac_objext conftest.$ac_ext
-echo "$as_me:3744: result: $ac_header_compiler" >&5
+echo "$as_me:3745: result: $ac_header_compiler" >&5
 echo "${ECHO_T}$ac_header_compiler" >&6
 
 # Is the header present?
-echo "$as_me:3748: checking $ac_header presence" >&5
+echo "$as_me:3749: checking $ac_header presence" >&5
 echo $ECHO_N "checking $ac_header presence... $ECHO_C" >&6
 cat >conftest.$ac_ext <<_ACEOF
-#line 3751 "configure"
+#line 3752 "configure"
 #include "confdefs.h"
 #include <$ac_header>
 _ACEOF
-if { (eval echo "$as_me:3755: \"$ac_cpp conftest.$ac_ext\"") >&5
+if { (eval echo "$as_me:3756: \"$ac_cpp conftest.$ac_ext\"") >&5
   (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
   ac_status=$?
   egrep -v '^ *\+' conftest.er1 >conftest.err
   rm -f conftest.er1
   cat conftest.err >&5
-  echo "$as_me:3761: \$? = $ac_status" >&5
+  echo "$as_me:3762: \$? = $ac_status" >&5
   (exit $ac_status); } >/dev/null; then
   if test -s conftest.err; then
     ac_cpp_err=$ac_c_preproc_warn_flag
@@ -3776,25 +3777,25 @@
   ac_header_preproc=no
 fi
 rm -f conftest.err conftest.$ac_ext
-echo "$as_me:3779: result: $ac_header_preproc" >&5
+echo "$as_me:3780: result: $ac_header_preproc" >&5
 echo "${ECHO_T}$ac_header_preproc" >&6
 
 # So?  What about this header?
 case $ac_header_compiler:$ac_header_preproc in
   yes:no )
-    { echo "$as_me:3785: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&5
+    { echo "$as_me:3786: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&5
 echo "$as_me: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&2;}
-    { echo "$as_me:3787: WARNING: $ac_header: proceeding with the preprocessor's result" >&5
+    { echo "$as_me:3788: WARNING: $ac_header: proceeding with the preprocessor's result" >&5
 echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;};;
   no:yes )
-    { echo "$as_me:3790: WARNING: $ac_header: present but cannot be compiled." >&5
+    { echo "$as_me:3791: WARNING: $ac_header: present but cannot be compiled." >&5
 echo "$as_me: WARNING: $ac_header: present but cannot be compiled." >&2;}
-    { echo "$as_me:3792: WARNING: $ac_header: check for missing prerequisite headers?" >&5
+    { echo "$as_me:3793: WARNING: $ac_header: check for missing prerequisite headers?" >&5
 echo "$as_me: WARNING: $ac_header: check for missing prerequisite headers?" >&2;}
-    { echo "$as_me:3794: WARNING: $ac_header: proceeding with the preprocessor's result" >&5
+    { echo "$as_me:3795: WARNING: $ac_header: proceeding with the preprocessor's result" >&5
 echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;};;
 esac
-echo "$as_me:3797: checking for $ac_header" >&5
+echo "$as_me:3798: checking for $ac_header" >&5
 echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
 if eval "test \"\${$as_ac_Header+set}\" = set"; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -3801,7 +3802,7 @@
 else
   eval "$as_ac_Header=$ac_header_preproc"
 fi
-echo "$as_me:3804: result: `eval echo '${'$as_ac_Header'}'`" >&5
+echo "$as_me:3805: result: `eval echo '${'$as_ac_Header'}'`" >&5
 echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
 
 fi
@@ -3830,34 +3831,34 @@
 do
 as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
 if eval "test \"\${$as_ac_Header+set}\" = set"; then
-  echo "$as_me:3833: checking for $ac_header" >&5
+  echo "$as_me:3834: checking for $ac_header" >&5
 echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
 if eval "test \"\${$as_ac_Header+set}\" = set"; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 fi
-echo "$as_me:3838: result: `eval echo '${'$as_ac_Header'}'`" >&5
+echo "$as_me:3839: result: `eval echo '${'$as_ac_Header'}'`" >&5
 echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
 else
   # Is the header compilable?
-echo "$as_me:3842: checking $ac_header usability" >&5
+echo "$as_me:3843: checking $ac_header usability" >&5
 echo $ECHO_N "checking $ac_header usability... $ECHO_C" >&6
 cat >conftest.$ac_ext <<_ACEOF
-#line 3845 "configure"
+#line 3846 "configure"
 #include "confdefs.h"
 $ac_includes_default
 #include <$ac_header>
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:3851: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:3852: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:3854: \$? = $ac_status" >&5
+  echo "$as_me:3855: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:3857: \"$ac_try\"") >&5
+  { (eval echo "$as_me:3858: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:3860: \$? = $ac_status" >&5
+  echo "$as_me:3861: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   ac_header_compiler=yes
 else
@@ -3866,24 +3867,24 @@
 ac_header_compiler=no
 fi
 rm -f conftest.$ac_objext conftest.$ac_ext
-echo "$as_me:3869: result: $ac_header_compiler" >&5
+echo "$as_me:3870: result: $ac_header_compiler" >&5
 echo "${ECHO_T}$ac_header_compiler" >&6
 
 # Is the header present?
-echo "$as_me:3873: checking $ac_header presence" >&5
+echo "$as_me:3874: checking $ac_header presence" >&5
 echo $ECHO_N "checking $ac_header presence... $ECHO_C" >&6
 cat >conftest.$ac_ext <<_ACEOF
-#line 3876 "configure"
+#line 3877 "configure"
 #include "confdefs.h"
 #include <$ac_header>
 _ACEOF
-if { (eval echo "$as_me:3880: \"$ac_cpp conftest.$ac_ext\"") >&5
+if { (eval echo "$as_me:3881: \"$ac_cpp conftest.$ac_ext\"") >&5
   (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
   ac_status=$?
   egrep -v '^ *\+' conftest.er1 >conftest.err
   rm -f conftest.er1
   cat conftest.err >&5
-  echo "$as_me:3886: \$? = $ac_status" >&5
+  echo "$as_me:3887: \$? = $ac_status" >&5
   (exit $ac_status); } >/dev/null; then
   if test -s conftest.err; then
     ac_cpp_err=$ac_c_preproc_warn_flag
@@ -3901,25 +3902,25 @@
   ac_header_preproc=no
 fi
 rm -f conftest.err conftest.$ac_ext
-echo "$as_me:3904: result: $ac_header_preproc" >&5
+echo "$as_me:3905: result: $ac_header_preproc" >&5
 echo "${ECHO_T}$ac_header_preproc" >&6
 
 # So?  What about this header?
 case $ac_header_compiler:$ac_header_preproc in
   yes:no )
-    { echo "$as_me:3910: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&5
+    { echo "$as_me:3911: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&5
 echo "$as_me: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&2;}
-    { echo "$as_me:3912: WARNING: $ac_header: proceeding with the preprocessor's result" >&5
+    { echo "$as_me:3913: WARNING: $ac_header: proceeding with the preprocessor's result" >&5
 echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;};;
   no:yes )
-    { echo "$as_me:3915: WARNING: $ac_header: present but cannot be compiled." >&5
+    { echo "$as_me:3916: WARNING: $ac_header: present but cannot be compiled." >&5
 echo "$as_me: WARNING: $ac_header: present but cannot be compiled." >&2;}
-    { echo "$as_me:3917: WARNING: $ac_header: check for missing prerequisite headers?" >&5
+    { echo "$as_me:3918: WARNING: $ac_header: check for missing prerequisite headers?" >&5
 echo "$as_me: WARNING: $ac_header: check for missing prerequisite headers?" >&2;}
-    { echo "$as_me:3919: WARNING: $ac_header: proceeding with the preprocessor's result" >&5
+    { echo "$as_me:3920: WARNING: $ac_header: proceeding with the preprocessor's result" >&5
 echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;};;
 esac
-echo "$as_me:3922: checking for $ac_header" >&5
+echo "$as_me:3923: checking for $ac_header" >&5
 echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
 if eval "test \"\${$as_ac_Header+set}\" = set"; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -3926,7 +3927,7 @@
 else
   eval "$as_ac_Header=$ac_header_preproc"
 fi
-echo "$as_me:3929: result: `eval echo '${'$as_ac_Header'}'`" >&5
+echo "$as_me:3930: result: `eval echo '${'$as_ac_Header'}'`" >&5
 echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
 
 fi
@@ -3970,17 +3971,17 @@
 ac_config_headers="$ac_config_headers stconfig.h"
 
 # ------ AC CREATE STDINT H -------------------------------------
-echo "$as_me:3973: checking for stdint-types...." >&5
+echo "$as_me:3974: checking for stdint-types...." >&5
 echo $ECHO_N "checking for stdint-types....... $ECHO_C" >&6
 ac_stdint_h=`echo ststdint.h`
 if test "$ac_stdint_h" = "stdint.h" ; then
- echo "$as_me:3977: result: \"(are you sure you want them in ./stdint.h?)\"" >&5
+ echo "$as_me:3978: result: \"(are you sure you want them in ./stdint.h?)\"" >&5
 echo "${ECHO_T}\"(are you sure you want them in ./stdint.h?)\"" >&6
 elif test "$ac_stdint_h" = "inttypes.h" ; then
- echo "$as_me:3980: result: \"(are you sure you want them in ./inttypes.h?)\"" >&5
+ echo "$as_me:3981: result: \"(are you sure you want them in ./inttypes.h?)\"" >&5
 echo "${ECHO_T}\"(are you sure you want them in ./inttypes.h?)\"" >&6
 else
- echo "$as_me:3983: result: \"(putting them into $ac_stdint_h)\"" >&5
+ echo "$as_me:3984: result: \"(putting them into $ac_stdint_h)\"" >&5
 echo "${ECHO_T}\"(putting them into $ac_stdint_h)\"" >&6
 fi
 
@@ -3993,13 +3994,13 @@
  for i in stdint.h $inttype_headers ; do
    unset ac_cv_type_uintptr_t
    unset ac_cv_type_uint64_t
-   echo "$as_me:3996: checking for uintptr_t" >&5
+   echo "$as_me:3997: checking for uintptr_t" >&5
 echo $ECHO_N "checking for uintptr_t... $ECHO_C" >&6
 if test "${ac_cv_type_uintptr_t+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 4002 "configure"
+#line 4003 "configure"
 #include "confdefs.h"
 #include <$i>
 
@@ -4021,16 +4022,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:4024: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:4025: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:4027: \$? = $ac_status" >&5
+  echo "$as_me:4028: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:4030: \"$ac_try\"") >&5
+  { (eval echo "$as_me:4031: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:4033: \$? = $ac_status" >&5
+  echo "$as_me:4034: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   ac_cv_type_uintptr_t=yes
 else
@@ -4040,7 +4041,7 @@
 fi
 rm -f conftest.$ac_objext conftest.$ac_ext
 fi
-echo "$as_me:4043: result: $ac_cv_type_uintptr_t" >&5
+echo "$as_me:4044: result: $ac_cv_type_uintptr_t" >&5
 echo "${ECHO_T}$ac_cv_type_uintptr_t" >&6
 if test $ac_cv_type_uintptr_t = yes; then
   ac_cv_header_stdint_x=$i
@@ -4048,13 +4049,13 @@
        continue
 fi
 
-   echo "$as_me:4051: checking for uint64_t" >&5
+   echo "$as_me:4052: checking for uint64_t" >&5
 echo $ECHO_N "checking for uint64_t... $ECHO_C" >&6
 if test "${ac_cv_type_uint64_t+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 4057 "configure"
+#line 4058 "configure"
 #include "confdefs.h"
 #include<$i>
 
@@ -4076,16 +4077,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:4079: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:4080: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:4082: \$? = $ac_status" >&5
+  echo "$as_me:4083: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:4085: \"$ac_try\"") >&5
+  { (eval echo "$as_me:4086: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:4088: \$? = $ac_status" >&5
+  echo "$as_me:4089: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   ac_cv_type_uint64_t=yes
 else
@@ -4095,7 +4096,7 @@
 fi
 rm -f conftest.$ac_objext conftest.$ac_ext
 fi
-echo "$as_me:4098: result: $ac_cv_type_uint64_t" >&5
+echo "$as_me:4099: result: $ac_cv_type_uint64_t" >&5
 echo "${ECHO_T}$ac_cv_type_uint64_t" >&6
 if test $ac_cv_type_uint64_t = yes; then
   and64="(uint64_t too)"
@@ -4103,7 +4104,7 @@
   and64=""
 fi
 
-   echo "$as_me:4106: result: ... seen our uintptr_t in $i $and64" >&5
+   echo "$as_me:4107: result: ... seen our uintptr_t in $i $and64" >&5
 echo "${ECHO_T}... seen our uintptr_t in $i $and64" >&6
    break;
  done
@@ -4111,13 +4112,13 @@
  for i in stdint.h $inttype_headers ; do
    unset ac_cv_type_uint32_t
    unset ac_cv_type_uint64_t
-   echo "$as_me:4114: checking for uint32_t" >&5
+   echo "$as_me:4115: checking for uint32_t" >&5
 echo $ECHO_N "checking for uint32_t... $ECHO_C" >&6
 if test "${ac_cv_type_uint32_t+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 4120 "configure"
+#line 4121 "configure"
 #include "confdefs.h"
 #include <$i>
 
@@ -4139,16 +4140,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:4142: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:4143: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:4145: \$? = $ac_status" >&5
+  echo "$as_me:4146: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:4148: \"$ac_try\"") >&5
+  { (eval echo "$as_me:4149: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:4151: \$? = $ac_status" >&5
+  echo "$as_me:4152: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   ac_cv_type_uint32_t=yes
 else
@@ -4158,7 +4159,7 @@
 fi
 rm -f conftest.$ac_objext conftest.$ac_ext
 fi
-echo "$as_me:4161: result: $ac_cv_type_uint32_t" >&5
+echo "$as_me:4162: result: $ac_cv_type_uint32_t" >&5
 echo "${ECHO_T}$ac_cv_type_uint32_t" >&6
 if test $ac_cv_type_uint32_t = yes; then
   ac_cv_header_stdint_o=$i
@@ -4166,13 +4167,13 @@
        continue
 fi
 
-   echo "$as_me:4169: checking for uint64_t" >&5
+   echo "$as_me:4170: checking for uint64_t" >&5
 echo $ECHO_N "checking for uint64_t... $ECHO_C" >&6
 if test "${ac_cv_type_uint64_t+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 4175 "configure"
+#line 4176 "configure"
 #include "confdefs.h"
 #include<$i>
 
@@ -4194,16 +4195,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:4197: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:4198: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:4200: \$? = $ac_status" >&5
+  echo "$as_me:4201: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:4203: \"$ac_try\"") >&5
+  { (eval echo "$as_me:4204: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:4206: \$? = $ac_status" >&5
+  echo "$as_me:4207: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   ac_cv_type_uint64_t=yes
 else
@@ -4213,7 +4214,7 @@
 fi
 rm -f conftest.$ac_objext conftest.$ac_ext
 fi
-echo "$as_me:4216: result: $ac_cv_type_uint64_t" >&5
+echo "$as_me:4217: result: $ac_cv_type_uint64_t" >&5
 echo "${ECHO_T}$ac_cv_type_uint64_t" >&6
 if test $ac_cv_type_uint64_t = yes; then
   and64="(uint64_t too)"
@@ -4221,7 +4222,7 @@
   and64=""
 fi
 
-   echo "$as_me:4224: result: ... seen our uint32_t in $i $and64" >&5
+   echo "$as_me:4225: result: ... seen our uint32_t in $i $and64" >&5
 echo "${ECHO_T}... seen our uint32_t in $i $and64" >&6
    break;
  done
@@ -4229,13 +4230,13 @@
  for i in sys/types.h $inttype_headers ; do
    unset ac_cv_type_u_int32_t
    unset ac_cv_type_u_int64_t
-   echo "$as_me:4232: checking for u_int32_t" >&5
+   echo "$as_me:4233: checking for u_int32_t" >&5
 echo $ECHO_N "checking for u_int32_t... $ECHO_C" >&6
 if test "${ac_cv_type_u_int32_t+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 4238 "configure"
+#line 4239 "configure"
 #include "confdefs.h"
 #include <$i>
 
@@ -4257,16 +4258,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:4260: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:4261: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:4263: \$? = $ac_status" >&5
+  echo "$as_me:4264: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:4266: \"$ac_try\"") >&5
+  { (eval echo "$as_me:4267: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:4269: \$? = $ac_status" >&5
+  echo "$as_me:4270: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   ac_cv_type_u_int32_t=yes
 else
@@ -4276,7 +4277,7 @@
 fi
 rm -f conftest.$ac_objext conftest.$ac_ext
 fi
-echo "$as_me:4279: result: $ac_cv_type_u_int32_t" >&5
+echo "$as_me:4280: result: $ac_cv_type_u_int32_t" >&5
 echo "${ECHO_T}$ac_cv_type_u_int32_t" >&6
 if test $ac_cv_type_u_int32_t = yes; then
   ac_cv_header_stdint_u=$i
@@ -4284,13 +4285,13 @@
        continue
 fi
 
-   echo "$as_me:4287: checking for uint64_t" >&5
+   echo "$as_me:4288: checking for uint64_t" >&5
 echo $ECHO_N "checking for uint64_t... $ECHO_C" >&6
 if test "${ac_cv_type_uint64_t+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 4293 "configure"
+#line 4294 "configure"
 #include "confdefs.h"
 #include<$i>
 
@@ -4312,16 +4313,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:4315: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:4316: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:4318: \$? = $ac_status" >&5
+  echo "$as_me:4319: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:4321: \"$ac_try\"") >&5
+  { (eval echo "$as_me:4322: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:4324: \$? = $ac_status" >&5
+  echo "$as_me:4325: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   ac_cv_type_uint64_t=yes
 else
@@ -4331,7 +4332,7 @@
 fi
 rm -f conftest.$ac_objext conftest.$ac_ext
 fi
-echo "$as_me:4334: result: $ac_cv_type_uint64_t" >&5
+echo "$as_me:4335: result: $ac_cv_type_uint64_t" >&5
 echo "${ECHO_T}$ac_cv_type_uint64_t" >&6
 if test $ac_cv_type_uint64_t = yes; then
   and64="(u_int64_t too)"
@@ -4339,7 +4340,7 @@
   and64=""
 fi
 
-   echo "$as_me:4342: result: ... seen our u_int32_t in $i $and64" >&5
+   echo "$as_me:4343: result: ... seen our u_int32_t in $i $and64" >&5
 echo "${ECHO_T}... seen our u_int32_t in $i $and64" >&6
    break;
  done
@@ -4349,7 +4350,7 @@
 # ----------------- DONE inttypes.h checks MAYBE C basic types --------
 
 if test "$ac_cv_header_stdint_x" = "no-file" ; then
-   echo "$as_me:4352: checking size of char" >&5
+   echo "$as_me:4353: checking size of char" >&5
 echo $ECHO_N "checking size of char... $ECHO_C" >&6
 if test "${ac_cv_sizeof_char+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -4356,7 +4357,7 @@
 else
   for ac_size in 4 8 1 2 16  ; do # List sizes in rough order of prevalence.
   cat >conftest.$ac_ext <<_ACEOF
-#line 4359 "configure"
+#line 4360 "configure"
 #include "confdefs.h"
 #include "confdefs.h"
 #include <sys/types.h>
@@ -4376,16 +4377,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:4379: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:4380: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:4382: \$? = $ac_status" >&5
+  echo "$as_me:4383: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:4385: \"$ac_try\"") >&5
+  { (eval echo "$as_me:4386: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:4388: \$? = $ac_status" >&5
+  echo "$as_me:4389: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   ac_cv_sizeof_char=$ac_size
 else
@@ -4399,11 +4400,11 @@
 fi
 
 if test x$ac_cv_sizeof_char = x ; then
-  { { echo "$as_me:4402: error: cannot determine a size for char" >&5
+  { { echo "$as_me:4403: error: cannot determine a size for char" >&5
 echo "$as_me: error: cannot determine a size for char" >&2;}
    { (exit 1); exit 1; }; }
 fi
-echo "$as_me:4406: result: $ac_cv_sizeof_char" >&5
+echo "$as_me:4407: result: $ac_cv_sizeof_char" >&5
 echo "${ECHO_T}$ac_cv_sizeof_char" >&6
 
 cat >>confdefs.h <<_ACEOF
@@ -4410,7 +4411,7 @@
 #define SIZEOF_CHAR $ac_cv_sizeof_char
 _ACEOF
 
-   echo "$as_me:4413: checking size of short" >&5
+   echo "$as_me:4414: checking size of short" >&5
 echo $ECHO_N "checking size of short... $ECHO_C" >&6
 if test "${ac_cv_sizeof_short+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -4417,7 +4418,7 @@
 else
   for ac_size in 4 8 1 2 16  ; do # List sizes in rough order of prevalence.
   cat >conftest.$ac_ext <<_ACEOF
-#line 4420 "configure"
+#line 4421 "configure"
 #include "confdefs.h"
 #include "confdefs.h"
 #include <sys/types.h>
@@ -4437,16 +4438,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:4440: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:4441: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:4443: \$? = $ac_status" >&5
+  echo "$as_me:4444: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:4446: \"$ac_try\"") >&5
+  { (eval echo "$as_me:4447: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:4449: \$? = $ac_status" >&5
+  echo "$as_me:4450: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   ac_cv_sizeof_short=$ac_size
 else
@@ -4460,11 +4461,11 @@
 fi
 
 if test x$ac_cv_sizeof_short = x ; then
-  { { echo "$as_me:4463: error: cannot determine a size for short" >&5
+  { { echo "$as_me:4464: error: cannot determine a size for short" >&5
 echo "$as_me: error: cannot determine a size for short" >&2;}
    { (exit 1); exit 1; }; }
 fi
-echo "$as_me:4467: result: $ac_cv_sizeof_short" >&5
+echo "$as_me:4468: result: $ac_cv_sizeof_short" >&5
 echo "${ECHO_T}$ac_cv_sizeof_short" >&6
 
 cat >>confdefs.h <<_ACEOF
@@ -4471,7 +4472,7 @@
 #define SIZEOF_SHORT $ac_cv_sizeof_short
 _ACEOF
 
-   echo "$as_me:4474: checking size of int" >&5
+   echo "$as_me:4475: checking size of int" >&5
 echo $ECHO_N "checking size of int... $ECHO_C" >&6
 if test "${ac_cv_sizeof_int+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -4478,7 +4479,7 @@
 else
   for ac_size in 4 8 1 2 16  ; do # List sizes in rough order of prevalence.
   cat >conftest.$ac_ext <<_ACEOF
-#line 4481 "configure"
+#line 4482 "configure"
 #include "confdefs.h"
 #include "confdefs.h"
 #include <sys/types.h>
@@ -4498,16 +4499,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:4501: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:4502: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:4504: \$? = $ac_status" >&5
+  echo "$as_me:4505: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:4507: \"$ac_try\"") >&5
+  { (eval echo "$as_me:4508: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:4510: \$? = $ac_status" >&5
+  echo "$as_me:4511: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   ac_cv_sizeof_int=$ac_size
 else
@@ -4521,11 +4522,11 @@
 fi
 
 if test x$ac_cv_sizeof_int = x ; then
-  { { echo "$as_me:4524: error: cannot determine a size for int" >&5
+  { { echo "$as_me:4525: error: cannot determine a size for int" >&5
 echo "$as_me: error: cannot determine a size for int" >&2;}
    { (exit 1); exit 1; }; }
 fi
-echo "$as_me:4528: result: $ac_cv_sizeof_int" >&5
+echo "$as_me:4529: result: $ac_cv_sizeof_int" >&5
 echo "${ECHO_T}$ac_cv_sizeof_int" >&6
 
 cat >>confdefs.h <<_ACEOF
@@ -4532,7 +4533,7 @@
 #define SIZEOF_INT $ac_cv_sizeof_int
 _ACEOF
 
-   echo "$as_me:4535: checking size of long" >&5
+   echo "$as_me:4536: checking size of long" >&5
 echo $ECHO_N "checking size of long... $ECHO_C" >&6
 if test "${ac_cv_sizeof_long+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -4539,7 +4540,7 @@
 else
   for ac_size in 4 8 1 2 16  ; do # List sizes in rough order of prevalence.
   cat >conftest.$ac_ext <<_ACEOF
-#line 4542 "configure"
+#line 4543 "configure"
 #include "confdefs.h"
 #include "confdefs.h"
 #include <sys/types.h>
@@ -4559,16 +4560,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:4562: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:4563: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:4565: \$? = $ac_status" >&5
+  echo "$as_me:4566: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:4568: \"$ac_try\"") >&5
+  { (eval echo "$as_me:4569: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:4571: \$? = $ac_status" >&5
+  echo "$as_me:4572: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   ac_cv_sizeof_long=$ac_size
 else
@@ -4582,11 +4583,11 @@
 fi
 
 if test x$ac_cv_sizeof_long = x ; then
-  { { echo "$as_me:4585: error: cannot determine a size for long" >&5
+  { { echo "$as_me:4586: error: cannot determine a size for long" >&5
 echo "$as_me: error: cannot determine a size for long" >&2;}
    { (exit 1); exit 1; }; }
 fi
-echo "$as_me:4589: result: $ac_cv_sizeof_long" >&5
+echo "$as_me:4590: result: $ac_cv_sizeof_long" >&5
 echo "${ECHO_T}$ac_cv_sizeof_long" >&6
 
 cat >>confdefs.h <<_ACEOF
@@ -4593,7 +4594,7 @@
 #define SIZEOF_LONG $ac_cv_sizeof_long
 _ACEOF
 
-   echo "$as_me:4596: checking size of void*" >&5
+   echo "$as_me:4597: checking size of void*" >&5
 echo $ECHO_N "checking size of void*... $ECHO_C" >&6
 if test "${ac_cv_sizeof_voidp+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -4600,7 +4601,7 @@
 else
   for ac_size in 4 8 1 2 16  ; do # List sizes in rough order of prevalence.
   cat >conftest.$ac_ext <<_ACEOF
-#line 4603 "configure"
+#line 4604 "configure"
 #include "confdefs.h"
 #include "confdefs.h"
 #include <sys/types.h>
@@ -4620,16 +4621,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:4623: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:4624: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:4626: \$? = $ac_status" >&5
+  echo "$as_me:4627: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:4629: \"$ac_try\"") >&5
+  { (eval echo "$as_me:4630: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:4632: \$? = $ac_status" >&5
+  echo "$as_me:4633: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   ac_cv_sizeof_voidp=$ac_size
 else
@@ -4643,11 +4644,11 @@
 fi
 
 if test x$ac_cv_sizeof_voidp = x ; then
-  { { echo "$as_me:4646: error: cannot determine a size for void*" >&5
+  { { echo "$as_me:4647: error: cannot determine a size for void*" >&5
 echo "$as_me: error: cannot determine a size for void*" >&2;}
    { (exit 1); exit 1; }; }
 fi
-echo "$as_me:4650: result: $ac_cv_sizeof_voidp" >&5
+echo "$as_me:4651: result: $ac_cv_sizeof_voidp" >&5
 echo "${ECHO_T}$ac_cv_sizeof_voidp" >&6
 
 cat >>confdefs.h <<_ACEOF
@@ -4661,7 +4662,7 @@
 
 # ----------------- DONE inttypes.h checks START header -------------
 _ac_stdint_h=`echo "_$ac_stdint_h" | $as_tr_cpp`
-echo "$as_me:4664: result: creating $ac_stdint_h : $_ac_stdint_h" >&5
+echo "$as_me:4665: result: creating $ac_stdint_h : $_ac_stdint_h" >&5
 echo "${ECHO_T}creating $ac_stdint_h : $_ac_stdint_h" >&6
 echo "#ifndef" $_ac_stdint_h >$ac_stdint_h
 echo "#define" $_ac_stdint_h "1" >>$ac_stdint_h
@@ -4687,11 +4688,11 @@
 
 if test "$ac_cv_header_stdint" != "stddef.h" ; then
 if test "$ac_cv_header_stdint" != "stdint.h" ; then
-echo "$as_me:4690: result: ..adding include stddef.h" >&5
+echo "$as_me:4691: result: ..adding include stddef.h" >&5
 echo "${ECHO_T}..adding include stddef.h" >&6
    echo "#include <stddef.h>" >>$ac_stdint_h
 fi ; fi
-echo "$as_me:4694: result: ..adding include $ac_cv_header_stdint" >&5
+echo "$as_me:4695: result: ..adding include $ac_cv_header_stdint" >&5
 echo "${ECHO_T}..adding include $ac_cv_header_stdint" >&6
    echo "#include <$ac_cv_header_stdint>" >>$ac_stdint_h
 echo "" >>$ac_stdint_h
@@ -4698,15 +4699,15 @@
 
 # ----------------- DONE header START basic int types -------------
 if test "$ac_cv_header_stdint_x" = "no-file" ; then
-   echo "$as_me:4701: result: ... need to look at C basic types" >&5
+   echo "$as_me:4702: result: ... need to look at C basic types" >&5
 echo "${ECHO_T}... need to look at C basic types" >&6
 else
-   echo "$as_me:4704: result: ... seen good stdint.h inttypes" >&5
+   echo "$as_me:4705: result: ... seen good stdint.h inttypes" >&5
 echo "${ECHO_T}... seen good stdint.h inttypes" >&6
 fi
 
 if test "$ac_cv_header_stdint_u" != "no-file" ; then
-   echo "$as_me:4709: result: ... seen bsd/sysv typedefs" >&5
+   echo "$as_me:4710: result: ... seen bsd/sysv typedefs" >&5
 echo "${ECHO_T}... seen bsd/sysv typedefs" >&6
    cat >>$ac_stdint_h <<EOF
 
@@ -4735,7 +4736,7 @@
 EOF
     t="typedefs for a"
     case "$ac_cv_sizeof_X" in
-     1:2:2:2:4) echo "$as_me:4738: result: ..adding $t normal 16-bit system" >&5
+     1:2:2:2:4) echo "$as_me:4739: result: ..adding $t normal 16-bit system" >&5
 echo "${ECHO_T}..adding $t normal 16-bit system" >&6
                 cat >>$ac_stdint_h <<EOF
 /*              a normal 16-bit system                       */
@@ -4750,7 +4751,7 @@
 #endif
 EOF
 ;;
-     1:2:2:4:4) echo "$as_me:4753: result: ..adding $t 32-bit system derived from a 16-bit" >&5
+     1:2:2:4:4) echo "$as_me:4754: result: ..adding $t 32-bit system derived from a 16-bit" >&5
 echo "${ECHO_T}..adding $t 32-bit system derived from a 16-bit" >&6
                 cat >>$ac_stdint_h <<EOF
 /*              a 32-bit system derived from a 16-bit        */
@@ -4765,7 +4766,7 @@
 #endif
 EOF
 ;;
-     1:2:4:4:4) echo "$as_me:4768: result: ..adding $t normal 32-bit system" >&5
+     1:2:4:4:4) echo "$as_me:4769: result: ..adding $t normal 32-bit system" >&5
 echo "${ECHO_T}..adding $t normal 32-bit system" >&6
                 cat >>$ac_stdint_h <<EOF
 /*              a normal 32-bit system                       */
@@ -4780,7 +4781,7 @@
 #endif
 EOF
 ;;
-     1:2:4:4:8) echo "$as_me:4783: result: ..adding $t 32-bit system prepared for 64-bit" >&5
+     1:2:4:4:8) echo "$as_me:4784: result: ..adding $t 32-bit system prepared for 64-bit" >&5
 echo "${ECHO_T}..adding $t 32-bit system prepared for 64-bit" >&6
                 cat >>$ac_stdint_h <<EOF
 
@@ -4796,7 +4797,7 @@
 #endif
 EOF
 ;;
-     1:2:4:8:8) echo "$as_me:4799: result: ..adding $t normal 64-bit system" >&5
+     1:2:4:8:8) echo "$as_me:4800: result: ..adding $t normal 64-bit system" >&5
 echo "${ECHO_T}..adding $t normal 64-bit system" >&6
                 cat >>$ac_stdint_h <<EOF
 
@@ -4812,7 +4813,7 @@
 #endif
 EOF
 ;;
-     1:2:4:8:4) echo "$as_me:4815: result: ..adding $t 64-bit system derived from a 32-bit" >&5
+     1:2:4:8:4) echo "$as_me:4816: result: ..adding $t 64-bit system derived from a 32-bit" >&5
 echo "${ECHO_T}..adding $t 64-bit system derived from a 32-bit" >&6
                 cat >>$ac_stdint_h <<EOF
 
@@ -4829,7 +4830,7 @@
 EOF
 ;;
   *)
-    { { echo "$as_me:4832: error:  $ac_cv_sizeof_X  what is that a system? contact the author, quick! http://ac-archive.sf.net" >&5
+    { { echo "$as_me:4833: error:  $ac_cv_sizeof_X  what is that a system? contact the author, quick! http://ac-archive.sf.net" >&5
 echo "$as_me: error:  $ac_cv_sizeof_X  what is that a system? contact the author, quick! http://ac-archive.sf.net" >&2;}
    { (exit 1); exit 1; }; }
     exit 1
@@ -4839,7 +4840,7 @@
 
 # ------------- DONE basic int types START int64_t types ------------
 if test "$ac_cv_type_uint64_t" = "yes"
-then echo "$as_me:4842: result: ... seen good uint64_t" >&5
+then echo "$as_me:4843: result: ... seen good uint64_t" >&5
 echo "${ECHO_T}... seen good uint64_t" >&6
      cat >>$ac_stdint_h <<EOF
 
@@ -4850,7 +4851,7 @@
 EOF
 
 elif test "$ac_cv_type_u_int64_t" = "yes"
-then echo "$as_me:4853: result: ..adding typedef u_int64_t uint64_t" >&5
+then echo "$as_me:4854: result: ..adding typedef u_int64_t uint64_t" >&5
 echo "${ECHO_T}..adding typedef u_int64_t uint64_t" >&6
      cat >>$ac_stdint_h <<EOF
 
@@ -4860,7 +4861,7 @@
 typedef u_int64_t uint64_t;
 #endif
 EOF
-else echo "$as_me:4863: result: ..adding generic uint64_t runtime checks" >&5
+else echo "$as_me:4864: result: ..adding generic uint64_t runtime checks" >&5
 echo "${ECHO_T}..adding generic uint64_t runtime checks" >&6
      cat >>$ac_stdint_h <<EOF
 
@@ -4909,7 +4910,7 @@
 
 # plus a default 64-bit for systems that are likely to be 64-bit ready
   case "$ac_cv_sizeof_x:$ac_cv_sizeof_voidp:$ac_cv_sizeof_long" in
-    1:2:8:8) echo "$as_me:4912: result: ..adding uint64_t default" >&5
+    1:2:8:8) echo "$as_me:4913: result: ..adding uint64_t default" >&5
 echo "${ECHO_T}..adding uint64_t default" >&6
 cat >>$ac_stdint_h <<EOF
 /* DEFAULT: */
@@ -4921,7 +4922,7 @@
 #endif
 EOF
 ;;
-    1:2:4:8) echo "$as_me:4924: result: ..adding uint64_t default" >&5
+    1:2:4:8) echo "$as_me:4925: result: ..adding uint64_t default" >&5
 echo "${ECHO_T}..adding uint64_t default" >&6
 cat >>$ac_stdint_h <<EOF
 /* DEFAULT: */
@@ -4933,7 +4934,7 @@
 #endif
 EOF
 ;;
-    1:2:8:4) echo "$as_me:4936: result: ..adding uint64_t default" >&5
+    1:2:8:4) echo "$as_me:4937: result: ..adding uint64_t default" >&5
 echo "${ECHO_T}..adding uint64_t default" >&6
 cat >>$ac_stdint_h <<EOF
 /* DEFAULT: */
@@ -4994,13 +4995,13 @@
 EOF
 ;;
   esac
-echo "$as_me:4997: result: ..adding typedef $a intptr_t" >&5
+echo "$as_me:4998: result: ..adding typedef $a intptr_t" >&5
 echo "${ECHO_T}..adding typedef $a intptr_t" >&6
 fi
 
 # ------------- DONE intptr types START int_least types ------------
 if test "$ac_cv_header_stdint_x" = "no-file" ; then
-echo "$as_me:5003: result: ..adding generic int_least-types" >&5
+echo "$as_me:5004: result: ..adding generic int_least-types" >&5
 echo "${ECHO_T}..adding generic int_least-types" >&6
      cat >>$ac_stdint_h <<EOF
 
@@ -5024,7 +5025,7 @@
 EOF
 fi
 
-echo "$as_me:5027: result: ... DONE $ac_stdint_h" >&5
+echo "$as_me:5028: result: ... DONE $ac_stdint_h" >&5
 echo "${ECHO_T}... DONE $ac_stdint_h" >&6
    cat >>$ac_stdint_h <<EOF
 
@@ -5113,7 +5114,7 @@
 : ${CONFIG_STATUS=./config.status}
 ac_clean_files_save=$ac_clean_files
 ac_clean_files="$ac_clean_files $CONFIG_STATUS"
-{ echo "$as_me:5116: creating $CONFIG_STATUS" >&5
+{ echo "$as_me:5117: creating $CONFIG_STATUS" >&5
 echo "$as_me: creating $CONFIG_STATUS" >&6;}
 cat >$CONFIG_STATUS <<_ACEOF
 #! $SHELL
@@ -5313,7 +5314,7 @@
     echo "$ac_cs_version"; exit 0 ;;
   --he | --h)
     # Conflict between --help and --header
-    { { echo "$as_me:5316: error: ambiguous option: $1
+    { { echo "$as_me:5317: error: ambiguous option: $1
 Try \`$0 --help' for more information." >&5
 echo "$as_me: error: ambiguous option: $1
 Try \`$0 --help' for more information." >&2;}
@@ -5332,7 +5333,7 @@
     ac_need_defaults=false;;
 
   # This is an error.
-  -*) { { echo "$as_me:5335: error: unrecognized option: $1
+  -*) { { echo "$as_me:5336: error: unrecognized option: $1
 Try \`$0 --help' for more information." >&5
 echo "$as_me: error: unrecognized option: $1
 Try \`$0 --help' for more information." >&2;}
@@ -5354,7 +5355,7 @@
   "Makefile" ) CONFIG_FILES="$CONFIG_FILES Makefile" ;;
   "gsm/Makefile" ) CONFIG_FILES="$CONFIG_FILES gsm/Makefile" ;;
   "stconfig.h" ) CONFIG_HEADERS="$CONFIG_HEADERS stconfig.h" ;;
-  *) { { echo "$as_me:5357: error: invalid argument: $ac_config_target" >&5
+  *) { { echo "$as_me:5358: error: invalid argument: $ac_config_target" >&5
 echo "$as_me: error: invalid argument: $ac_config_target" >&2;}
    { (exit 1); exit 1; }; };;
   esac
@@ -5549,7 +5550,7 @@
       as_incr_dir=$as_incr_dir/$as_mkdir_dir
       test -d "$as_incr_dir" ||
         mkdir "$as_incr_dir" ||
-	{ { echo "$as_me:5552: error: cannot create \"$ac_dir\"" >&5
+	{ { echo "$as_me:5553: error: cannot create \"$ac_dir\"" >&5
 echo "$as_me: error: cannot create \"$ac_dir\"" >&2;}
    { (exit 1); exit 1; }; }
     ;;
@@ -5586,7 +5587,7 @@
   esac
 
   if test x"$ac_file" != x-; then
-    { echo "$as_me:5589: creating $ac_file" >&5
+    { echo "$as_me:5590: creating $ac_file" >&5
 echo "$as_me: creating $ac_file" >&6;}
     rm -f "$ac_file"
   fi
@@ -5604,7 +5605,7 @@
       -) echo $tmp/stdin ;;
       [\\/$]*)
          # Absolute (can't be DOS-style, as IFS=:)
-         test -f "$f" || { { echo "$as_me:5607: error: cannot find input file: $f" >&5
+         test -f "$f" || { { echo "$as_me:5608: error: cannot find input file: $f" >&5
 echo "$as_me: error: cannot find input file: $f" >&2;}
    { (exit 1); exit 1; }; }
          echo $f;;
@@ -5617,7 +5618,7 @@
            echo $srcdir/$f
          else
            # /dev/null tree
-           { { echo "$as_me:5620: error: cannot find input file: $f" >&5
+           { { echo "$as_me:5621: error: cannot find input file: $f" >&5
 echo "$as_me: error: cannot find input file: $f" >&2;}
    { (exit 1); exit 1; }; }
          fi;;
@@ -5678,7 +5679,7 @@
   * )   ac_file_in=$ac_file.in ;;
   esac
 
-  test x"$ac_file" != x- && { echo "$as_me:5681: creating $ac_file" >&5
+  test x"$ac_file" != x- && { echo "$as_me:5682: creating $ac_file" >&5
 echo "$as_me: creating $ac_file" >&6;}
 
   # First look for the input files in the build tree, otherwise in the
@@ -5689,7 +5690,7 @@
       -) echo $tmp/stdin ;;
       [\\/$]*)
          # Absolute (can't be DOS-style, as IFS=:)
-         test -f "$f" || { { echo "$as_me:5692: error: cannot find input file: $f" >&5
+         test -f "$f" || { { echo "$as_me:5693: error: cannot find input file: $f" >&5
 echo "$as_me: error: cannot find input file: $f" >&2;}
    { (exit 1); exit 1; }; }
          echo $f;;
@@ -5702,7 +5703,7 @@
            echo $srcdir/$f
          else
            # /dev/null tree
-           { { echo "$as_me:5705: error: cannot find input file: $f" >&5
+           { { echo "$as_me:5706: error: cannot find input file: $f" >&5
 echo "$as_me: error: cannot find input file: $f" >&2;}
    { (exit 1); exit 1; }; }
          fi;;
@@ -5819,7 +5820,7 @@
   rm -f $tmp/in
   if test x"$ac_file" != x-; then
     if cmp -s $ac_file $tmp/config.h 2>/dev/null; then
-      { echo "$as_me:5822: $ac_file is unchanged" >&5
+      { echo "$as_me:5823: $ac_file is unchanged" >&5
 echo "$as_me: $ac_file is unchanged" >&6;}
     else
       ac_dir=`$as_expr X"$ac_file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
@@ -5846,7 +5847,7 @@
       as_incr_dir=$as_incr_dir/$as_mkdir_dir
       test -d "$as_incr_dir" ||
         mkdir "$as_incr_dir" ||
-	{ { echo "$as_me:5849: error: cannot create \"$ac_dir\"" >&5
+	{ { echo "$as_me:5850: error: cannot create \"$ac_dir\"" >&5
 echo "$as_me: error: cannot create \"$ac_dir\"" >&2;}
    { (exit 1); exit 1; }; }
     ;;
--- a/configure.in
+++ b/configure.in
@@ -127,13 +127,13 @@
 then
   AC_CHECK_LIB(vorbis, vorbis_analysis_init,
                LIBS="$LIBS -logg -lvorbis -lvorbisfile -lvorbisenc"
-               AC_DEFINE(HAVE_LIBVORBIS))
+               AC_DEFINE([HAVE_LIBVORBIS], 1, [Define if you have Ogg Vorbis Library installed]))
 fi
 CPPFLAGS="$ac_save_CPPFLAGS"
 
 dnl Checks for library functions.
 
-AC_CHECK_FUNCS(getopt strerror memmove rand)
+AC_CHECK_FUNCS(getopt strerror memmove rand strcasecmp)
 
 dnl Checks for system services.
 
--- a/src/Makefile.in
+++ b/src/Makefile.in
@@ -160,6 +160,7 @@
 	$(RM) *~ *.o *.raw *.sf core sox soxmix libst.a play
 	cd gsm && $(RM) *~ *.o core libgsm.a Makefile
 	$(RM) config.cache config.log config.status config.h Makefile
+	$(RM) -r autom4te.cache
 	$(RM) stconfig.h ststdint.h
 
 tar:
--- /dev/null
+++ b/src/gsm/Makefile.gcc
@@ -1,0 +1,95 @@
+#
+# Makefile.in
+#
+# Processed by configure into a Makefile.  We assume the environment in
+# which we are running is a POSIX'y environment.  Thus, all of the standard
+# POSIX tools are available.
+#   
+
+
+srcdir = .
+top_srcdir = ..
+prefix = /usr/local
+exec_prefix = ${prefix}
+libdir = ${exec_prefix}/lib
+mandir = ${prefix}/man
+
+# Shell commands.
+
+CC	= gcc
+RANLIB  = ranlib
+AR      = ar r
+RM	= rm -f
+
+SASR	= -DSASR
+######### Define SASR if >> is a signed arithmetic shift (-1 >> 1 == -1)
+
+MULHACK = -DUSE_FLOAT_MUL
+######### Define this if your host multiplies floats faster than integers,
+######### e.g. on a SPARCstation.
+
+FAST	= -DFAST
+######### Define together with USE_FLOAT_MUL to enable the GSM library's
+######### approximation option for incorrect, but good-enough results.
+
+# LTP_CUT	= -DLTP_CUT
+LTP_CUT	=
+######### Define to enable the GSM library's long-term correlation 
+######### approximation option---faster, but worse; works for
+######### both integer and floating point multiplications.
+######### This flag is still in the experimental stage.
+
+WAV49	= -DWAV49
+#WAV49	=
+######### Define to enable the GSM library's option to pack GSM frames 
+######### in the style used by the WAV #49 format.  If you want to write
+######### a tool that produces .WAV files which contain GSM-encoded data,
+######### define this, and read about the GSM_OPT_WAV49 option in the
+######### manual page on gsm_option(3).
+
+# Build macros.
+
+CFLAGS	= -g -O2 -Wall -DOSS_PLAYER -DFAST_ULAW_CONVERSION -DFAST_ALAW_CONVERSION -DENABLE_GSM -DHAVE_CONFIG_H $(SASR) $(MULHAC) $(FAST) $(LTP_CUT) $(WAV49) -I$(top_srcdir)/gsm
+LDFLAGS	= 
+LIBS	= -lm  -logg -lvorbis -lvorbisfile -lvorbisenc -lgsm
+
+# Objects.
+
+GSM_OBJECTS =	add.o		\
+		code.o		\
+		decode.o	\
+		long_term.o     \
+		lpc.o		\
+		preprocess.o	\
+		rpe.o		\
+		gsm_destroy.o	\
+		gsm_decode.o	\
+		gsm_encode.o	\
+		gsm_create.o	\
+		gsm_option.o    \
+		short_term.o    \
+		table.o
+
+
+LIBOBJS = $(GSM_OBJECTS)
+
+all: libgsm.a
+
+libgsm.a: $(LIBOBJS)
+	$(AR) libgsm.a $(LIBOBJS)
+	$(RANLIB) libgsm.a
+
+install-lib: libgsm.a
+	$(top_srcdir)/mkinstalldirs $(libdir)
+	$(top_srcdir)/mkinstalldirs $(mandir)/man3
+	$(INSTALL) -c -m 644 libgsm.a $(libdir)
+	$(RANLIB) $(libdir)/libgsm.a
+	$(INSTALL) -c -m 644 gsm.3 $(mandir)/man3
+	$(INSTALL) -c -m 644 gsm_option.3 $(mandir)/man3
+
+clean:
+	$(RM) *.o
+
+distclean:
+	$(RM) *~ *.o core
+	$(RM) Makefile
--- a/src/misc.c
+++ b/src/misc.c
@@ -17,6 +17,7 @@
 #include <stdlib.h>
 #include <time.h>
 #include <string.h>
+#include <ctype.h>
 #ifdef HAVE_ERRNO_H
 #include <errno.h>
 #endif
@@ -315,6 +316,21 @@
     /* parenthesize this way to avoid st_sample_t overflow in product term */
     return a * (b / st_gcd(a, b));
 }
+
+#ifndef HAVE_STRCASECMP
+/*
+ * Portable strcasecmp() function
+ */
+int strcasecmp(const char *s1, const char *s2)
+{
+    for (; toupper(*s1) == toupper(*s2); ++s1, ++s2)
+    {
+	if (*s1 == '\0')
+	    return(0);
+    }
+    return ((*(unsigned char *)s1 < *(unsigned char *)s2) ? -1 : +1);
+}
+#endif
 
 #ifndef HAVE_RAND
 /*
--- a/src/st_i.h
+++ b/src/st_i.h
@@ -45,6 +45,10 @@
 st_sample_t st_gcd(st_sample_t a, st_sample_t b) REGPARM(2);
 st_sample_t st_lcm(st_sample_t a, st_sample_t b) REGPARM(2);
 
+#ifndef HAVE_STRCASECMP
+int strcasecmp(const char *s1, const char *s2);
+#endif
+
 #ifndef HAVE_RAND
 int rand(void);
 void srand(unsigned int seed);
--- a/src/stconfig.h.in
+++ b/src/stconfig.h.in
@@ -1,90 +1,114 @@
-/* stconfig.h.in.  Generated automatically from configure.in by autoheader.  */
+/* stconfig.h.in.  Generated from configure.in by autoheader.  */
 
-/* Define to empty if the keyword does not work.  */
-#undef const
-
-/* Define as __inline if that's what the C compiler calls it.  */
-#undef inline
-
-/* Define to `unsigned' if <sys/types.h> doesn't define.  */
-#undef size_t
-
-/* Define if you have the ANSI C header files.  */
-#undef STDC_HEADERS
-
-/* Define if your processor stores words with the most significant
-   byte first (like Motorola and SPARC, unlike Intel and VAX).  */
-#undef WORDS_BIGENDIAN
-
-/* Define if you have Ogg Vorbis Library installed */
-#undef HAVE_LIBVORBIS
-
-/* Define if you have the getopt function.  */
-#undef HAVE_GETOPT
-
-/* Define if you have the memmove function.  */
-#undef HAVE_MEMMOVE
-
-/* Define if you have the rand function.  */
-#undef HAVE_RAND
-
-/* Define if you have the strerror function.  */
-#undef HAVE_STRERROR
-
-/* Define if you have the <byteswap.h> header file.  */
+/* Define if you have the <byteswap.h> header file. */
 #undef HAVE_BYTESWAP_H
 
-/* Define if you have the <errno.h> header file.  */
+/* Define if you have the <errno.h> header file. */
 #undef HAVE_ERRNO_H
 
-/* Define if you have the <fcntl.h> header file.  */
+/* Define if you have the <fcntl.h> header file. */
 #undef HAVE_FCNTL_H
 
-/* Define if you have the <getopt.h> header file.  */
+/* Define if you have the `getopt' function. */
+#undef HAVE_GETOPT
+
+/* Define if you have the <getopt.h> header file. */
 #undef HAVE_GETOPT_H
 
-/* Define if you have the <inttypes.h> header file.  */
+/* Define if you have the <inttypes.h> header file. */
 #undef HAVE_INTTYPES_H
 
-/* Define if you have the <limits.h> header file.  */
+/* Define if you have the `m' library (-lm). */
+#undef HAVE_LIBM
+
+/* Define if you have Ogg Vorbis Library installed */
+#undef HAVE_LIBVORBIS
+
+/* Define if you have the <limits.h> header file. */
 #undef HAVE_LIMITS_H
 
-/* Define if you have the <linux/asound.h> header file.  */
+/* Define if you have the <linux/asound.h> header file. */
 #undef HAVE_LINUX_ASOUND_H
 
-/* Define if you have the <machine/soundcard.h> header file.  */
+/* Define if you have the <machine/soundcard.h> header file. */
 #undef HAVE_MACHINE_SOUNDCARD_H
 
-/* Define if you have the <malloc.h> header file.  */
+/* Define if you have the <malloc.h> header file. */
 #undef HAVE_MALLOC_H
 
-/* Define if you have the <stdint.h> header file.  */
+/* Define if you have the `memmove' function. */
+#undef HAVE_MEMMOVE
+
+/* Define if you have the <memory.h> header file. */
+#undef HAVE_MEMORY_H
+
+/* Define if you have the `rand' function. */
+#undef HAVE_RAND
+
+/* Define if you have the <stdint.h> header file. */
 #undef HAVE_STDINT_H
 
-/* Define if you have the <string.h> header file.  */
+/* Define if you have the <stdlib.h> header file. */
+#undef HAVE_STDLIB_H
+
+/* Define if you have the `strcasecmp' function. */
+#undef HAVE_STRCASECMP
+
+/* Define if you have the `strerror' function. */
+#undef HAVE_STRERROR
+
+/* Define if you have the <strings.h> header file. */
+#undef HAVE_STRINGS_H
+
+/* Define if you have the <string.h> header file. */
 #undef HAVE_STRING_H
 
-/* Define if you have the <sun/audioio.h> header file.  */
+/* Define if you have the <sun/audioio.h> header file. */
 #undef HAVE_SUN_AUDIOIO_H
 
-/* Define if you have the <sys/audioio.h> header file.  */
+/* Define if you have the <sys/audioio.h> header file. */
 #undef HAVE_SYS_AUDIOIO_H
 
-/* Define if you have the <sys/soundcard.h> header file.  */
+/* Define if you have the <sys/soundcard.h> header file. */
 #undef HAVE_SYS_SOUNDCARD_H
 
-/* Define if you have the <sys/types.h> header file.  */
+/* Define if you have the <sys/stat.h> header file. */
+#undef HAVE_SYS_STAT_H
+
+/* Define if you have the <sys/types.h> header file. */
 #undef HAVE_SYS_TYPES_H
 
-/* Define if you have the <unistd.h> header file.  */
+/* Define if you have the <unistd.h> header file. */
 #undef HAVE_UNISTD_H
 
-/* Define if you have the m library (-lm).  */
-#undef HAVE_LIBM
+/* The number of bytes in type char */
+#undef SIZEOF_CHAR
 
+/* The number of bytes in type int */
+#undef SIZEOF_INT
+
 /* The number of bytes in type long */
 #undef SIZEOF_LONG
 
+/* The number of bytes in type short */
+#undef SIZEOF_SHORT
+
 /* The number of bytes in type void* */
 #undef SIZEOF_VOIDP
 
+/* Define if you have the ANSI C header files. */
+#undef STDC_HEADERS
+
+/* Define if your processor stores words with the most significant byte first
+   (like Motorola and SPARC, unlike Intel and VAX). */
+#undef WORDS_BIGENDIAN
+
+/* Define to empty if `const' does not conform to ANSI C. */
+#undef const
+
+/* Define as `__inline' if that's what the C compiler calls it, or to nothing
+   if it is not supported. */
+#undef inline
+
+/* Define to `unsigned' if <sys/types.h> does not define. */
+#undef size_t